Bug 891177

Summary: nodejs-ansi - ANSI escape codes for Node.js
Product: [Fedora] Fedora Reporter: T.C. Hollingsworth <tchollingsworth>
Component: Package ReviewAssignee: Michael Scherer <misc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: misc, notting, package-review
Target Milestone: ---Flags: misc: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-13 07:09:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 891171, 891213    

Description T.C. Hollingsworth 2013-01-02 03:02:15 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-ansi.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ansi-0.1.2-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4830937
FAS username: patches

ansi.js is a module for Node.js that provides an easy-to-use API for writing
ANSI escape codes to Stream instances. ANSI escape codes are used to do fancy
things in a terminal window, like render text in colors, delete characters,
lines, the entire window, or hide and show the cursor, and lots more!

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 T.C. Hollingsworth 2013-01-10 02:21:52 EST
Updated with empty %build sections and other issues found in various reviews.

Spec: http://patches.fedorapeople.org/npm/nodejs-ansi.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ansi-0.1.2-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854274
Comment 2 Michael Scherer 2013-01-11 13:31:37 EST
Once the spurious requires is gone, i will approve it.

Package Review

[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

- License is in README.md, you should ask upstream to use a more obvious
file, and add metadata to the package.json

- example triggers rpmlint warning :
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/cursorPosition.js /usr/bin/env
rpmlint recommend to remove execute bit from the files.

- missing %check, EL5ims, etc, as for the others reviews, will be fixed later.

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 8 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     Note: %clean present but not required
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

[x]: Large data in /usr/share should live in a noarch subpackage if package is
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: nodejs-ansi-0.1.2-2.fc19.noarch.rpm
nodejs-ansi.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ansi.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ansi.noarch: W: only-non-binary-in-usr-lib
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/cursorPosition.js /usr/bin/env
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/beep/index.js /usr/bin/env
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/imgcat/index.js /usr/bin/env
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/clear/index.js /usr/bin/env
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

Rpmlint (installed packages)
# rpmlint nodejs-ansi
nodejs-ansi.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ansi.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ansi.noarch: W: only-non-binary-in-usr-lib
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/cursorPosition.js /usr/bin/env
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/beep/index.js /usr/bin/env
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/imgcat/index.js /usr/bin/env
nodejs-ansi.noarch: W: doc-file-dependency /usr/share/doc/nodejs-ansi-0.1.2/examples/clear/index.js /usr/bin/env
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'

nodejs-ansi (rpmlib, GLIBC filtered):


MD5-sum check
http://registry.npmjs.org/ansi/-/ansi-0.1.2.tgz :
  CHECKSUM(SHA256) this package     : 6f2288b1db642eb822578f4ee70bf26bf97173cc7d3f10f496070fb96250006b
  CHECKSUM(SHA256) upstream package : 6f2288b1db642eb822578f4ee70bf26bf97173cc7d3f10f496070fb96250006b

Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 891177
Comment 3 T.C. Hollingsworth 2013-01-11 15:28:33 EST
The permissions in %doc have been fixed.  I will nag upstream about the LICENSE file.

Spec: http://patches.fedorapeople.org/npm/nodejs-ansi.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ansi-0.1.2-3.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4860425
Comment 4 Michael Scherer 2013-01-11 15:31:31 EST
So approved
Comment 5 T.C. Hollingsworth 2013-01-11 16:19:10 EST
New Package SCM Request
Package Name: nodejs-ansi
Short Description: ANSI escape codes for Node.js
Owners: patches
Branches: f18 el6
Comment 6 Jon Ciesla 2013-01-12 19:57:40 EST
Git done (by process-git-requests).
Comment 7 T.C. Hollingsworth 2013-01-13 07:09:40 EST
built for rawhide:
Comment 8 Fedora Update System 2013-04-05 19:17:02 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.